
Ryzom - Feature # 1028

Status: Closed Priority: High
Author: kervala Category: OS: GNU/Linux
Created: 07/24/2010 Assignee: kervala
Updated: 08/26/2010 Due date:
Subject: Implement GlWndProc for X11
Description

There is a GlWndProc function for Windows and not for X11 events or Mac OS.

We should add one to be able to :

    -  listen window position changes
    -  listen window size changes
    -  optimize some parts where we are requesting window size even if size hasn't changed
    -  forward Qt or other externals events to OpenGL driver (don't need to transform externals events to native ones)
    -  simplify some existing parts
    -  implement copy/paste
    -  listen when user click on close button
    -  activate/deactivate window
    -  etc...

Related issues:
related to Ryzom - Feature # 979: Implement getWindowPos for Linux Closed 06/12/2010

History
#1 - 07/24/2010 11:20 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r527.

#2 - 07/25/2010 12:00 am - kervala
- Target version set to Version 0.8.0

#3 - 07/28/2010 09:57 am - kervala
- Category changed from NeL: General to OS: GNU/Linux

#4 - 08/26/2010 07:34 pm - kervala
- Status changed from Resolved to Closed
